#! /bin/bash
#
# 20151030
# Dumps job status (including pertinent SGE states)

#$ -v MODULESHOME

cat_indented() { cat "$1" | sed -e 's/^/    /'; }

#if 

QSTAT=/cm/shared/apps/sge/2011.11p1/bin/linux-x64/qstat
#set -x

date
pwd
hostname -f
uname -a
free
lscpu
#lsb_release -a

echo
export

ls -la $SGE_JOB_SPOOL_DIR

echo "Contents of PE_HOSTFILE=$PE_HOSTFLE"
cat_indented "$PE_HOSTFILE"
#cat $SGE_JOB_SPOOL_DIR/pe_hostfile
#head -n 50 $SGE_JOB_SPOOL_DIR/*

echo
echo "Original script:"
cat_indented "$JOB_SCRIPT"

echo
echo "Job status:"
$QSTAT -j "$JOB_ID" | cat_indented -

echo
echo "qstat -f output:"
$QSTAT -f
